Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.exception
Class OslcCoreApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.lyo.oslc4j.core.exception.OslcCoreApplicationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OslcCoreDeregistrationException, OslcCoreDuplicatePropertyDefinitionException, OslcCoreInvalidOccursException, OslcCoreInvalidPropertyDefinitionException, OslcCoreInvalidPropertyTypeException, OslcCoreInvalidRepresentationException, OslcCoreInvalidValueTypeException, OslcCoreMissingAnnotationException, OslcCoreMissingNamespaceDeclarationException, OslcCoreMissingNamespacePrefixException, OslcCoreMissingSetMethodException, OslcCoreMisusedOccursException, OslcCoreRegistrationException, OslcCoreRelativeURIException

    public abstract class OslcCoreApplicationException

extends Exception

Base class for all application exceptions.

See Also:
  Serialized Form

Constructor Summary
`OslcCoreApplicationException(String messageKey, Object[] args)`
`OslcCoreApplicationException(String messageKey, Object[] args, Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OslcCoreApplicationException

    public OslcCoreApplicationException(String messageKey,
                                        Object[] args)

### OslcCoreApplicationException

    public OslcCoreApplicationException(String messageKey,
                                        Object[] args,
                                        Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.